Skip to main content
PATCH
/
team
/
sku-change-request
/
{id}
Update a SKU change request (cancel, accept, deny, or accept with modifications)
curl --request PATCH \
  --url https://api.wirespeed.co/team/sku-change-request/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "pending",
  "sku": "identity",
  "isTrial": true,
  "skuStartDate": "<string>",
  "skuEndDate": "<string>"
}
'
{
  "message": "<string>",
  "statusCode": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

SKU change request ID

Body

application/json
status
enum<string>
required

Target status to transition the request to

Available options:
pending,
accepted,
denied,
accepted_with_modifications,
cancelled
sku
enum<string>

Final SKU to apply (required for accept_with_modifications)

Available options:
identity,
mdr,
unlimited
isTrial
boolean

Whether the subscription is a trial

skuStartDate
string

Subscription start date (ISO string)

skuEndDate
string | null

Subscription end date (ISO string)

Response